Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class DefaultLengthHandler

    java.lang.Object
      org.apache.batik.parser.DefaultLengthHandler

All Implemented Interfaces:
  LengthHandler

Direct Known Subclasses:
  DefaultLengthListHandler

    public class DefaultLengthHandler

extends Object
implements LengthHandler

This class provides an adapter for LengthHandler

Field Summary
`static LengthHandler` | `INSTANCE` The only instance of this class.

Constructor Summary
`protected` | `DefaultLengthHandler()` This class does not need to be instantiated.

Method Summary
`void` | `cm()` Implements `LengthHandler.cm()`.
`void` | `em()` Implements `LengthHandler.em()`.
`void` | `endLength()` Implements `LengthHandler.endLength()`.
`void` | `ex()` Implements `LengthHandler.ex()`.
`void` | `in()` Implements `LengthHandler.in()`.
`void` | `lengthValue(float v)` Implements `LengthHandler.lengthValue(float)`.
`void` | `mm()` Implements `LengthHandler.mm()`.
`void` | `pc()` Implements `LengthHandler.pc()`.
`void` | `percentage()` Implements `LengthHandler.percentage()`.
`void` | `pt()` Implements `LengthHandler.pt()`.
`void` | `px()` Implements `LengthHandler.px()`.
`void` | `startLength()` Implements `LengthHandler.startLength()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final LengthHandler INSTANCE

  The only instance of this class.

Constructor Detail

### DefaultLengthHandler

    protected DefaultLengthHandler()

  This class does not need to be instantiated.

Method Detail

### startLength

    public void startLength()
                     throws ParseException

  Implements `LengthHandler.startLength()`.

  Specified by:
    `startLength` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### lengthValue

    public void lengthValue(float v)
                     throws ParseException

  Implements `LengthHandler.lengthValue(float)`.

  Specified by:
    `lengthValue` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### em

    public void em()
            throws ParseException

  Implements `LengthHandler.em()`.

  Specified by:
    `em` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### ex

    public void ex()
            throws ParseException

  Implements `LengthHandler.ex()`.

  Specified by:
    `ex` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### in

    public void in()
            throws ParseException

  Implements `LengthHandler.in()`.

  Specified by:
    `in` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### cm

    public void cm()
            throws ParseException

  Implements `LengthHandler.cm()`.

  Specified by:
    `cm` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### mm

    public void mm()
            throws ParseException

  Implements `LengthHandler.mm()`.

  Specified by:
    `mm` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### pc

    public void pc()
            throws ParseException

  Implements `LengthHandler.pc()`.

  Specified by:
    `pc` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### pt

    public void pt()
            throws ParseException

  Implements `LengthHandler.pt()`.

  Specified by:
    `pt` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### px

    public void px()
            throws ParseException

  Implements `LengthHandler.px()`.

  Specified by:
    `px` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### percentage

    public void percentage()
                    throws ParseException

  Implements `LengthHandler.percentage()`.

  Specified by:
    `percentage` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

### endLength

    public void endLength()
                   throws ParseException

  Implements `LengthHandler.endLength()`.

  Specified by:
    `endLength` in interface `LengthHandler`
  Throws:
    `ParseException` - if an error occures while processing the length

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.